{% extends 'base.html.twig' %}

{% block title %}Comment Management{% endblock %}

{% block body %}

    <form>
        <div class="form-row">
            <div class="form-group col-md-10">
                <input type="text" name="q" class="form-control" value="{{ app.request.query.get('q') }}">
            </div>
            <div class="form-group col-md-2">
                <button type="submit" class="form-control btn btn-primary">Search</button>
            </div>
        </div>
    </form>

    <h1>Comment Management ({{ pagination.getTotalItemCount  }})</h1>

    <table class="table table-striped">
        <thead>
        <tr>
            <th scope="col">Article</th>
            <th scope="col">Author</th>
            <th scope="col">Comment</th>
            <th scope="col">Date</th>
        </tr>
        </thead>
        <tbody>
        {% for comment in pagination %}
            <tr>
                <th scope="row"><a class="btn-link" href="{{ path("article.show",{slug:comment.article.slug}) }}">{{ comment.article.title }}</a></th>
                <td>{{ comment.authorName }}</td>
                <td style="width: 20%">{{ comment.content|truncate(25) }}</td>
                <td>{{ comment.createdAt|ago }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    {{ knp_pagination_render(pagination) }}

{% endblock %}
